Bug Hunting Session
Bug 117028 - DOCX import: textbox of shape lacks its transparent background
Summary: DOCX import: textbox of shape lacks its transparent background
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.1.0 target:6.0.5 target:5.4....
Keywords:
Depends on:
Blocks:
 
Reported: 2018-04-16 07:39 UTC by Miklos Vajna
Modified: 2018-05-07 13:26 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Reproducer document. (13.30 KB, application/vnd.openxmlformats-officedocument.wordprocessingml.document)
2018-04-16 07:39 UTC, Miklos Vajna
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Miklos Vajna 2018-04-16 07:39:49 UTC
Created attachment 141388 [details]
Reproducer document.

Steps to reproduce:

1) Open the attached bugdoc.

2) Observe the background of the "hello" text.

Expected behavior: background is transparent, so the gray shape behind the shape-with-textbox is used.

Actual behavior: background is white, text is not readable.
Comment 1 Commit Notification 2018-04-16 09:55:01 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=d9420a64fbb288020d33b681f40a858db49afca7

tdf#117028 sw: conditionally consider fill of shape for in-textbox auto color

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 2 Commit Notification 2018-04-25 08:19:18 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-6-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=15593a5421a7f14ac8a4056aa233443130bcda6f&h=libreoffice-6-0

tdf#117028 sw: conditionally consider fill of shape for in-textbox auto color

It will be available in 6.0.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2018-04-30 10:35:15 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b981c148ef82d0a519e270974db01c9c5879a52c&h=libreoffice-5-4

tdf#117028 sw: conditionally consider fill of shape for in-textbox auto color

It will be available in 5.4.8.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2018-05-07 13:26:21 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "libreoffice-5-4-7":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f99fc4a3dbb9bc01d619b93e9759e744d146bdde&h=libreoffice-5-4-7

tdf#117028 sw: conditionally consider fill of shape for in-textbox auto color

It will be available in 5.4.7.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.